import {ConformidadService} from "../../../service/conformidad_service/conformidad.service";
import {Injectable} from "@angular/core";

@Injectable({
  providedIn: 'root'
})
export class ConformidadHelper {

  constructor(public ConformidadService : ConformidadService) {}

  async cargarPersonal(){
    const respuesta = await this.ConformidadService.listadoGeneral(1);
    if(respuesta?.status){
      return respuesta.data;
    }else{
      return [];
    }
  }

  async cargarSedes(){
    const respuesta = await this.ConformidadService.listadoGeneral(2);
    if(respuesta?.status){
      return respuesta.data;
    }else{
      return [];
    }
  }

  async cargarCargosU(){
    const respuesta = await this.ConformidadService.listadoGeneral(4);
    if(respuesta?.status){
      return respuesta.data;
    }else{
      return [];
    }
  }

  async listadoGeneralHorizon(json: any){
    const respuesta = await this.ConformidadService.listadoGeneralHorizon(json);
    if (respuesta?.status) {
      return respuesta.data;
    }else{
      return [];
    }
  }

  async gestionConformidad(json: any){
    const respuesta = await this.ConformidadService.gestionConformidad(json);
    if (respuesta?.status) {
      return respuesta.json;
    }else{
      return [];
    }
  }

  async subidaEvidencia( json : any ){
    const respuesta = await this.ConformidadService.subidaEvidencia(json);
    return respuesta
  }

  async subidaEvidencia2( json : any ){
    const respuesta = await this.ConformidadService.subidaEvidencia2(json);
    //console.log(respuesta);
    return respuesta
  }

  async subidaEvidencia3( json : any ){
    const respuesta = await this.ConformidadService.subidaEvidencia3(json);
    //console.log(respuesta);
    return respuesta
  }

  async eliminarDocumento(json : any){
    const respuesta = await this.ConformidadService.eliminarDocumento(json);
    return respuesta
  }

  async creacionCarpeta(json : any){
    const respuesta = await this.ConformidadService.creacionCarpeta(json);
    return respuesta
  }

  async gestionOrdenSalida( json : any ){
    const respuesta = await this.ConformidadService.gestionOrdenSalida(json);
    if (respuesta?.status) {
      return respuesta.json;
    }else{
      return [];
    }
  }

}
